import java.awt.*;
import java.awt.event.*;

class MainFrame extends Frame implements ActionListener
{
  public MainFrame()
  {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);

    setTitle("Sample Application");
    setBackground(SystemColor.control);
    setSize(300, 200);

    GridLayout layout = new GridLayout(3, 1);
    setLayout(layout);

    add(new Label("This is a MULTILIZER sample"));
    add(new Label("English version"));

    Button button = new Button("Close");
    button.addActionListener(this);
    add(button);
  }

  protected void processWindowEvent(WindowEvent e)
  {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING)
      System.exit(0);
  }

  public void actionPerformed(ActionEvent e)
  {
    System.exit(0);
  }
}

public class Sample
{
  static public void main(String[] args)
  {
    new MainFrame().show();
  }
}

