import java.awt.*;
import multilizer.*;
import javax.swing.*;
import javax.swing.table.*;

public class TablePanel extends JPanel
{
  BorderLayout borderLayout1 = new BorderLayout();
  Translator translator1 = new Translator();
  JTable jTable1 = new JTable(new MyTableModel());
  JScrollPane scrollPane = new JScrollPane(jTable1);

  public TablePanel(Dictionary dictionary)
  {
    scrollPane.setPreferredSize(new Dimension(400, 100));
    this.setLayout(borderLayout1);
    this.add(scrollPane, BorderLayout.CENTER);

    // Inits the translator and translates the panel

    translator1.setHost(this);
    translator1.translate();
  }
}

class MyTableModel extends AbstractTableModel implements MTableModel
{
  final String[] columnNames =
  {
    "First Name", //ivlm
    "Last Name", //ivlm
    "Sport", //ivlm
    "Est. Years Experience" //ivlm
  };

  final String[][] data =
  {
    {"Mary", "Campione", "Snowboarding", "5"},
    {"Alison", "Huml", "Rowing", "3"},
    {"Kathy", "Walrath", "Chasing toddlers", "2"},
    {"Mark", "Andrews", "Speed reading", "20"},
    {"Angela", "Lih", "Teaching high school", "4"}
  };

  public int getColumnCount()
  {
    return columnNames.length;
  }

  public int getRowCount()
  {
    return data.length;
  }

  public String getColumnName(int col)
  {
    return columnNames[col];
  }

  public void setColumnName(String string, int col)
  {
    columnNames[col] = string;
    fireTableStructureChanged();
  }

  public Object getValueAt(int row, int col)
  {
    return data[row][col];
  }
}

