import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.text.*;
import java.util.*;
import multilizer.*;

public class Dcalc extends Applet
{
  boolean isStandalone = false;
  GridLayout gridLayout1 = new GridLayout();
  AppletTranslator translator1 = new AppletTranslator();
  TextDictionary dictionary1 = new TextDictionary();
  Panel panel1 = new Panel();
  Panel panel2 = new Panel();
  Panel panel3 = new Panel();
  Panel panel4 = new Panel();
  Panel panel5 = new Panel();
  Panel panel6 = new Panel();
  Label label1 = new Label();
  FlowLayout flowLayout1 = new FlowLayout();
  TextField textField = new TextField();
  FlowLayout flowLayout2 = new FlowLayout();
  FlowLayout flowLayout3 = new FlowLayout();
  FlowLayout flowLayout4 = new FlowLayout();
  FlowLayout flowLayout5 = new FlowLayout();
  FlowLayout flowLayout6 = new FlowLayout();
  Label unitLabel = new Label();
  Button calculateButton = new Button();
  Label label3 = new Label();
  Label fineLabel = new Label();
  Label dateLabel = new Label();
  Label label6 = new Label();
  Label localeLabel = new Label();
  Label label8 = new Label();
  Label languageLabel = new Label();
  Label label10 = new Label();
  Button languageButton = new Button();
  Panel panel7 = new Panel();
  FlowLayout flowLayout7 = new FlowLayout();
  Button localeButton = new Button();
  Button sublanguageButton = new Button();

  public String getParameter(String key, String def)
  {
    return isStandalone ? System.getProperty(key, def) :
      (getParameter(key) != null ? getParameter(key) : def);
  }

  public Dcalc()
  {
  }

  public void init()
  {
    try
    {
      jbInit();
      translator1.translate();
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception
  {
    this.setBackground(Color.white);
    this.setSize(new Dimension(382, 208));
    gridLayout1.setRows(7);
    gridLayout1.setColumns(1);
    translator1.setHost(this);
    dictionary1.setTranslationFileName("dictionary");
    dictionary1.setFileName("dictionary");
    dictionary1.addLanguageChangeListener(new multilizer.DictionaryListener()
    {
      public void languageChanged(DictionaryEventObject e)
      {
        dictionary1_languageChanged(e);
      }
    });
    panel6.setLayout(flowLayout6);
    panel5.setLayout(flowLayout5);
    panel4.setLayout(flowLayout4);
    panel3.setLayout(flowLayout3);
    panel2.setLayout(flowLayout2);
    panel1.setLayout(flowLayout1);
    label1.setText("Give the driving distance");
    flowLayout1.setAlignment(0);
    textField.setColumns(10);
    flowLayout2.setAlignment(0);
    flowLayout3.setAlignment(0);
    flowLayout4.setAlignment(0);
    flowLayout5.setAlignment(0);
    flowLayout6.setAlignment(0);
    unitLabel.setText("in kilometres");
    calculateButton.setLabel("Calculate");
    calculateButton.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        calculateButton_actionPerformed(e);
      }
    });
    label3.setText("Speeding fine:");
    fineLabel.setText("dummy");
    dateLabel.setText("dummy");
    label6.setText("Date and time:");
    localeLabel.setText("dummy");
    label8.setText("Current locale:");
    languageLabel.setText("dummy");
    label10.setText("User interface language:");
    languageButton.setLabel("Language...");
    flowLayout7.setAlignment(0);
    localeButton.setLabel("Locale...");
    sublanguageButton.setLabel("Language and Locale...");
    sublanguageButton.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        sublanguageButton_actionPerformed(e);
      }
    });
    localeButton.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        localeButton_actionPerformed(e);
      }
    });
    panel7.setLayout(flowLayout7);
    languageButton.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        languageButton_actionPerformed(e);
      }
    });
    this.setLayout(gridLayout1);
    this.setSize(400,200);
    this.add(panel1, null);
    panel1.add(label1, null);
    this.add(panel2, null);
    panel2.add(textField, null);
    panel2.add(unitLabel, null);
    panel2.add(calculateButton, null);
    this.add(panel3, null);
    panel3.add(label3, null);
    panel3.add(fineLabel, null);
    this.add(panel4, null);
    panel4.add(label6, null);
    panel4.add(dateLabel, null);
    this.add(panel5, null);
    panel5.add(label8, null);
    panel5.add(localeLabel, null);
    this.add(panel6, null);
    panel6.add(label10, null);
    panel6.add(languageLabel, null);
    this.add(panel7, null);
    panel7.add(languageButton, null);
    panel7.add(localeButton, null);
    panel7.add(sublanguageButton, null);
  }

  public String getAppletInfo()
  {
    return "Applet Information";
  }

  public String[][] getParameterInfo()
  {
    return null;
  }

  void languageButton_actionPerformed(ActionEvent e)
  {
    // Selects a new active langauge

    SelectLanguageDialog dialog = new SelectLanguageDialog(
      null,
      new AppletTranslator(dictionary1),
      false);

    if (dialog.showModal())
    {
      dictionary1.setBinding(multilizer.Dictionary.BIND_LOCALE_TO_LANGUAGE);
      dictionary1.setLanguage(dialog.getLanguage());
    }
  }

  void localeButton_actionPerformed(ActionEvent e)
  {
    // Selects a new active locale

    SelectLocaleDialog dialog = new SelectLocaleDialog(
      null,
      new AppletTranslator(dictionary1),
      false);

    if (dialog.showModal())
    {
      dictionary1.setBinding(multilizer.Dictionary.BIND_LOCALE_TO_LANGUAGE);
      dictionary1.setLocale(dialog.getLocale());
    }
  }

  void sublanguageButton_actionPerformed(ActionEvent e)
  {
    // Selects a new language and locale

    SelectSublanguageDialog dialog = new SelectSublanguageDialog(
      null,
      new AppletTranslator(dictionary1),
      false);

    if (dialog.showModal())
    {
      dictionary1.setBinding(multilizer.Dictionary.BIND_LANGUAGE_TO_LOCALE);
      dictionary1.setLocale(dialog.getLocale());
    }
  }

  void calculateButton_actionPerformed(ActionEvent e)
  {
    int distance;

    try
    {
      distance = Integer.valueOf(textField.getText().trim()).intValue();
      if (distance < 0)
        throw new NumberFormatException();

      // If the current locale uses US measurement system instead of metric
      // converts the give distance (in miles) to kilometers

      if (Utils.getMeasurementSystem(dictionary1.getActiveLocale()) == Utils.US_MEASUREMENT)
        distance = (int)Utils.MILE_IN_METERS*distance/1000;

      String[] params =
      {
        new Integer(distance/100).toString(),
        new Integer((int)(60*(distance%100)/100)).toString()
      };

      multilizer.MessageDialog.messageBox(
        null,
        "Driving Time", //ivlm
        Utils.formatMessage(
          "The avarage driving time is {0} hours and {1} minutes", //ivlm
          params,
          translator1),
        MessageDialog.OK,
        translator1);
    }
    catch (NumberFormatException ex)
    {
      String[] params = { textField.getText() };

      multilizer.MessageDialog.messageBox(
        null,
        "Invalid value", //ivlm
        Utils.formatMessage(
          "\"{0}\" in not a valid distance", //ivlm
          params,
          translator1),
        MessageDialog.OK,
        translator1);
      textField.requestFocus();
    }
  }

  void dictionary1_languageChanged(DictionaryEventObject e)
  {
    // Updates the measurement unit

    if (Utils.getMeasurementSystem(dictionary1.getActiveLocale()) == Utils.US_MEASUREMENT)
      unitLabel.setText(translator1.translate("in miles")); //ivlm
    else
      unitLabel.setText(translator1.translate("in kilometres")); //ivlm

    // Update the fine label

    fineLabel.setText(NumberFormat.getCurrencyInstance(
      dictionary1.getActiveLocale()).format(new Integer(100)));

    // Update the date label

    dateLabel.setText(DateFormat.getDateTimeInstance(
      DateFormat.LONG,
      DateFormat.MEDIUM,
      dictionary1.getActiveLocale()).format(new Date()));

    // Update the locale label

    localeLabel.setText(Utils.getLocaleName(dictionary1.getActiveLocale(), dictionary1));
    languageLabel.setText(dictionary1.translate(dictionary1.getLanguageData().englishName));
  }
}

