import java.awt.*;
import java.awt.event.*;
// #1 Add the following line
import java.util.*;

class MainFrame extends Frame implements ActionListener
{
  public MainFrame()
  {
    // #2 Add the following line
    ResourceBundle bundle = ResourceBundle.getBundle("translation");

    enableEvents(AWTEvent.WINDOW_EVENT_MASK);

    // #3 Change "Sample Application" to "Sample_Application"
    // #4 Wrap "Sample_Application" to bundle.getString()
    setTitle(bundle.getString("Sample_Application"));
    setBackground(SystemColor.control);
    setSize(300, 200);

    GridLayout layout = new GridLayout(3, 1);
    setLayout(layout);

    // #5 Change "This is a MULTILIZER sample" to "This_is_a_MULTILIZER_sample"
    // #6 Wrap "This_is_a_MULTILIZER_sample" to bundle.getString()
    add(new Label(bundle.getString("This_is_a_MULTILIZER_sample")));

    // #7 Change "English version" to "English_version"
    // #8 Wrap "English_version" to bundle.getString()
    add(new Label(bundle.getString("English_version")));

    // #9 Wrap "Close" to bundle.getString()
    Button button = new Button(bundle.getString("Close"));
    button.addActionListener(this);
    add(button);

    // #10 Create sample_??.properties files
  }

  protected void processWindowEvent(WindowEvent e)
  {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING)
      System.exit(0);
  }

  public void actionPerformed(ActionEvent e)
  {
    System.exit(0);
  }
}

public class Sample
{
  static public void main(String[] args)
  {
    new MainFrame().show();
  }
}

