import java.awt.*;
import java.awt.event.*;
// #1 Add the following line
import multilizer.*;

class MainFrame extends Frame implements ActionListener
{
  public MainFrame()
  {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);

    setTitle("Sample Application");
    setBackground(SystemColor.control);
    setSize(300, 200);

    GridLayout layout = new GridLayout(3, 1);
    setLayout(layout);

    add(new Label("This is a MULTILIZER sample"));
    add(new Label("English version"));

    Button button = new Button("Close");
    button.addActionListener(this);
    add(button);

    // Note! You do not have to change your previous code at all. Just add the
    // following code. If you use IDE you have to write only #6. Everything
    // else is done visually in the form designer of your IDE.

    // #2 Create a dictionary component
    TextDictionary dictionary = new TextDictionary();
    // #3 Set the dictionary file
    // Note! The ivlm comment on the end on line prevents Language Manager
    // adding this string to the dictionary. By default Language Manager
    // extract every string from the source code to the dictionary except those
    // strings thta have been tagged.
    dictionary.setFileName("sample"); //ivlm
    // #4 Create a translator component
    Translator translator = new Translator();
    // #5 Set the host to be translated
    translator.setHost(this);
    // #6 translate frame
    translator.translate();

    // #7 Use Language Manager (or any text editor) to create the dictionary
  }

  protected void processWindowEvent(WindowEvent e)
  {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING)
      System.exit(0);
  }

  public void actionPerformed(ActionEvent e)
  {
    System.exit(0);
  }
}

public class Sample
{
  static public void main(String[] args)
  {
    new MainFrame().show();
  }
}

