import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import multilizer.*;

public class AboutBox extends JDialog
{
  JButton button1 = new JButton();
  JLabel label1 = new JLabel();
  Translator translator = new Translator();

  public AboutBox(JFrame parent)
  {
    super(parent, "About", true); //ivlm

    JPanel container = new JPanel();
    container.setLayout( new BorderLayout() );

    label1.setText("MULTILIZER sample"); //ivlm
    button1.setText("OK"); //ivlm
    button1.addActionListener(new ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        OKPressed();
      }
    });
    container.add(label1, BorderLayout.CENTER);
    container.add(button1, BorderLayout.SOUTH);
    getContentPane().add(container);
    setSize(200, 100);
    centerDialog();

    // Translates the dialog

    translator.setHost(this);
    translator.translate();
  }

  protected void centerDialog()
  {
    Dimension screenSize = this.getToolkit().getScreenSize();
    Dimension size = this.getSize();

    screenSize.height = screenSize.height/2;
    screenSize.width = screenSize.width/2;
    size.height = size.height/2;
    size.width = size.width/2;
    int y = screenSize.height - size.height;
    int x = screenSize.width - size.width;
    this.setLocation(x,y);
  }

  public void OKPressed()
  {
    this.setVisible(false);
  }
}

